#
# Please do not update/rebuild/touch this package before asking first to mikala and/or neoclust
# This package is part of the KDE Stack.
#


%bcond_with falcon 0
%define rel 1

Name:kross-interpreters
Summary: KDE bindings to non-C++ languages
Version: 4.12.5
Release: %mkrel %{rel}
Epoch: 1
Group: Graphical desktop/KDE
License: LGPLv2
URL: https://projects.kde.org/projects/kde/kdebindings/kross-interpreters
Source: ftp://ftp.kde.org/pub/kde/stable/%version/src/%name-%version.tar.xz
BuildRequires: kdelibs4-devel >= 2:%version
BuildRequires: java-devel-openjdk
BuildRequires: ruby-devel
BuildRequires: python-devel
BuildRequires: ruby-devel
BuildRequires: qscintilla-qt4-devel
%if %with falcon
BuildRequires: falcon-devel
%endif

%description
Language interpreters to enable in-process scripting with Kross.

#----------------------------------------------------------------

%package java
Summary: Java kross interpreter

%description java
Java kross interpreter

%files java
%_kde_libdir/kde4/kross/kross.jar
%_kde_libdir/kde4/krossjava.so

#---------------------------------------------------------------

%package python
Summary: Python kross-interpreter
Conflicts: python-kde4 < 1:4.7.0

%description python
Python kross interpreter

%files python
%_kde_libdir/kde4/krosspython.so

#--------------------------------------------------------------

%package ruby
Summary: Ruby kross interpreter
Conflicts: ruby-kde4 < 1:4.7.0

%description ruby
Ruby kross interpreter

%files ruby
%_kde_libdir/kde4/krossruby.so

#------------------------------------------------------------

%if %with falcon

%package -n falcon-kde4
Summary: Falcon KDE 4 bindings
Group: Development/KDE and Qt
Requires: falcon

%description -n falcon-kde4
Falcon KDE 4 bindings.

%files -n falcon-kde4
%_kde_libdir/kde4/krossfalcon.so

%endif

#------------------------------------------------------------

%prep
%setup -q
%apply_patches

%build
export LD=/usr/bin/ld.gold
export CXXFLAGS="%optflags  -fpermissive"
%cmake_kde4  -DKDE4_ENABLE_FINAL=OFF
%make

%install
rm -fr %buildroot
%makeinstall_std -C build


%changelog
* Sun Jun 29 2014 lmenut <lmenut> 1:4.12.5-1.mga4
+ Revision: 641341
- Update to KDE SC 4.12.5
  remove patches merged upstream

  + neoclust <neoclust>
    - New version 4.11.5

* Wed Dec 04 2013 lmenut <lmenut> 1:4.11.4-1.mga4
+ Revision: 555031
- Update tarball to KDE SC 4.11.4

* Thu Nov 14 2013 lmenut <lmenut> 1:4.11.3-1.mga4
+ Revision: 551303
- Update tarball to KDE SC 4.11.3

* Mon Oct 21 2013 umeabot <umeabot> 1:4.11.2-2.mga4
+ Revision: 540473
- Mageia 4 Mass Rebuild

* Thu Oct 03 2013 mikala <mikala> 1:4.11.2-1.mga4
+ Revision: 490690
- Update tarball to KDE SC 4.11.2

* Fri Sep 20 2013 fwang <fwang> 1:4.11.1-2.mga4
+ Revision: 482470
- accept ruby 2.0
- rebuild for ruby 2.0

* Mon Sep 09 2013 mikala <mikala> 1:4.11.1-1.mga4
+ Revision: 476785
- Update tarball to KDE SC 4.11.1

* Sat Aug 10 2013 mikala <mikala> 1:4.11.0-1.mga4
+ Revision: 465138
- Update tarball to KDE SC 4.11.0

* Sat Jul 27 2013 lmenut <lmenut> 1:4.10.97-1.mga4
+ Revision: 458949
- Update tarball to KDE SC 4.10.97 aka KDE SC 4.11 RC2

* Wed Jul 17 2013 lmenut <lmenut> 1:4.10.95-1.mga4
+ Revision: 455335
- Update tarball to KDE SC 4.10.95 aka KDE SC 4.11 RC1
- Add patch0 to fix build

  + mikala <mikala>
    - Update tarball to KDE SC 4.10.90 aka KDE SC 4.11 Beta 2
    - Drop patch merged upstream
    - Update patch1 to ensure ruby build
    - Update tarball to KDE SC 4.10.80 aka KDE SC 4.11 Beta 1

* Sun Jun 02 2013 mikala <mikala> 1:4.10.4-1.mga4
+ Revision: 435243
- Update tarball to KDE SC 4.10.4

* Sun May 26 2013 mikala <mikala> 1:4.10.3-1.mga4
+ Revision: 428362
- Update tarball to KDE SC 4.10.3

* Tue Apr 02 2013 mikala <mikala> 1:4.10.2-1.mga3
+ Revision: 407174
- Update tarball to KDE SC 4.10.2

* Sat Mar 09 2013 lmenut <lmenut> 1:4.10.1-1.mga3
+ Revision: 401913
- Update tarball to KDE SC 4.10.1

* Mon Feb 04 2013 mikala <mikala> 1:4.10.0-1.mga3
+ Revision: 394351
- Update tarball to KDE SC 4.10.0
- Update tarball to KDE SC 4.9.98 aka KDE SC 4.10 RC3

  + umeabot <umeabot>
    - Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Jan 05 2013 mikala <mikala> 1:4.9.97-1.mga3
+ Revision: 339396
- Update tarball to KDE SC 4.9.97 aka KDE SC 4.10 RC2

* Mon Dec 24 2012 mikala <mikala> 1:4.9.95-1.mga3
+ Revision: 334505
- Update tarball to KDE SC 4.9.95 aka KDE SC 4.10 RC1

* Wed Dec 05 2012 mikala <mikala> 1:4.9.90-1.mga3
+ Revision: 326709
- Update tarball to KDE SC 4.9.90 aka KDE SC 4.10 Beta2

* Wed Nov 21 2012 mikala <mikala> 1:4.9.80-1.mga3
+ Revision: 320263
- Update tarball to KDE SC 4.9.80 aka KDE SC 4.10 Beta1

* Wed Nov 07 2012 mikala <mikala> 1:4.9.3-1.mga3
+ Revision: 316147
- Update tarball to KDE SC 4.9.3
- Disable ruby support for now (does not build with ruby 1.9.3)

* Thu Nov 01 2012 fwang <fwang> 1:4.9.2-2.mga3
+ Revision: 311973
- fix str fmt
- add opensuse patch to build with ruby1.9
- rebuild for new ruby

* Tue Oct 02 2012 mikala <mikala> 1:4.9.2-1.mga3
+ Revision: 301923
- Update tarball to KDE SC 4.9.2

* Sat Sep 08 2012 mikala <mikala> 1:4.9.1-1.mga3
+ Revision: 289712
- Update tarball to KDE SC 4.9.1

* Wed Aug 01 2012 mikala <mikala> 1:4.9.0-1.mga3
+ Revision: 277073
- Silent: Fix Source URL
- Update tarball to KDE 4.9.0

* Thu Jul 12 2012 fwang <fwang> 1:4.8.97-1.mga3
+ Revision: 269698
- new version 4.8.97

* Mon Jul 02 2012 fwang <fwang> 1:4.8.95-1.mga3
+ Revision: 266587
- br openjdk

  + shlomif <shlomif>
    - New version - 4.8.95

* Sat Jun 09 2012 fwang <fwang> 1:4.8.4-1.mga3
+ Revision: 258084
- use -fpermissive
- new version 4.8.4

* Wed Apr 04 2012 fwang <fwang> 1:4.8.2-1.mga2
+ Revision: 228480
- new version 4.8.2

* Thu Mar 08 2012 mikala <mikala> 1:4.8.1-1.mga2
+ Revision: 221495
- New upstream tarball

* Thu Jan 19 2012 mikala <mikala> 1:4.8.0-1.mga2
+ Revision: 198179
- Updating tarball to KDE 4.8.0

* Thu Jan 05 2012 mikala <mikala> 1:4.7.97-1.mga2
+ Revision: 190957
- Update tarball to KDE 4.7.97

* Fri Dec 23 2011 mikala <mikala> 1:4.7.95-1.mga2
+ Revision: 186372
- Update tarball to KDE 4.7.95
- fix group

* Thu Dec 15 2011 mikala <mikala> 1:4.7.90-1.mga2
+ Revision: 182142
- Update tarball to KDE SC 4.7.90

* Sun Dec 04 2011 mikala <mikala> 1:4.7.4-1.mga2
+ Revision: 176474
- Update tarball to KDE SC 4.7.4

* Wed Nov 02 2011 mikala <mikala> 1:4.7.3-0.mga2
+ Revision: 161370
- Update tarball to KDE SC 4.7.3

* Wed Oct 05 2011 mikala <mikala> 1:4.7.2-1.mga2
+ Revision: 151970
- Update tarball to KDE SC 4.7.2
- Update license tag

* Wed Sep 07 2011 mikala <mikala> 1:4.7.1-1.mga2
+ Revision: 140660
- Update tarball to KDE SC 4.7.1
- Remove %%clean section
- imported package kross-interpreters

